<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_header"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="52dp"
        android:padding="7dp"
        android:src="@drawable/icon_back_black"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="85dp"
        android:includeFontPadding="false"
        android:text="输入验证码"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_26"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_back" />

    <TextView
        android:id="@+id/tv_tip_target_phone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:includeFontPadding="false"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toLeftOf="@+id/tv_title"
        app:layout_constraintTop_toBottomOf="@+id/tv_title"
        tools:text="已发送6位验证码至 1360000000" />

    <com.cooleshow.base.widgets.VerifyEditText
        android:id="@+id/edit_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="39dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_tip_target_phone"
        app:verify_background_normal="@drawable/shape_code_input_bg"
        app:verify_background_selected="@drawable/shape_code_input_bg_select"
        app:verify_count="6"
        app:verify_height="40dp"
        app:verify_inputType="number"
        app:verify_margin="15dp"
        app:verify_textSize="20sp"
        app:verify_width="38dp" />

    <TextView
        android:id="@+id/tv_resend_code"
        android:layout_width="160dp"
        android:layout_height="50dp"
        android:layout_marginTop="67dp"
        android:background="@drawable/shape_login_bt_bg_unselect"
        android:clickable="false"
        android:gravity="center"
        android:text="重新发送"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_17"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/edit_code" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_bottom"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
